﻿//////////////////////////////////////////////
// RenderContextWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkGraphicsWrap
{
	class DLL_ASTRAEUS_EXPORT RenderContextWrapper final
	{
		private :

			// Constructor, destructor
			RenderContextWrapper () = delete ;
			~RenderContextWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			// Functions
			static nkScripts::OutputValue getBackBuffer (const nkScripts::DataStack& stack) ;
	} ;
}