﻿//////////////////////////////////////////////
// Constants.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include <NilkinsMemory/Containers/String.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkExportWrap
{
	struct Constants
	{
		// Namespace
		inline static const nkMemory::String NAMESPACE = "nkExport" ;

		// UserTypes
		// Errors
		inline static const nkMemory::String EXPORT_ERROR = NAMESPACE + ".ExportError" ;

		// Exporters
		inline static const nkMemory::String EXPORTER_LOAD_RESULT = NAMESPACE + ".ExporterLoadResult" ;
		inline static const nkMemory::String JSON_EXPORTER = NAMESPACE + ".JsonExporter" ;

		// Tree
		inline static const nkMemory::String NODE = NAMESPACE + ".Node" ;
	} ;
}