﻿//////////////////////////////////////////////
// FontUtils.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkWinUi
{
	class MainSystem ;
}

/// Includes ---------------------------------

// nkWinUi
#include "../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/BufferCast.h>
#include <NilkinsMemory/Containers/String.h>

/// Class ------------------------------------

namespace nkWinUi
{
	class DLL_WINUI_EXPORT FontUtils final
	{
		public :

			// System queries
			static nkMemory::BufferCast<nkMemory::String> getAvailableFontFaces (MainSystem* system = nullptr) ;
	} ;
}